histogram.h File Reference
`#include <fg/defines.h>`

Go to the source code of this file.

## Data Structures

class | Histogram
| Histogram is a bar graph to display data frequencey. More...

## Namespaces

namespace | forge

## Functions

FGAPI fg_err | fg_create_histogram (fg_histogram *pHistogram, const unsigned pNBins, const fg_dtype pDataType)
| Creates a Histogram object.
FGAPI fg_err | fg_retain_histogram (fg_histogram *pOut, fg_histogram pIn)
| Increase reference count of the resource.
FGAPI fg_err | fg_release_histogram (fg_histogram pHistogram)
| Destroy Histogram object.
FGAPI fg_err | fg_set_histogram_color (fg_histogram pHistogram, const float pRed, const float pGreen, const float pBlue, const float pAlpha)
| Set the color of bar in the bar graph(histogram).
FGAPI fg_err | fg_set_histogram_legend (fg_histogram pHistogram, const char *pLegend)
| Set legend for histogram plot.
FGAPI fg_err | fg_get_histogram_vertex_buffer (unsigned *pOut, const fg_histogram pHistogram)
| Get the resource identifier for vertices buffer.
FGAPI fg_err | fg_get_histogram_color_buffer (unsigned *pOut, const fg_histogram pHistogram)
| Get the resource identifier for colors buffer.
FGAPI fg_err | fg_get_histogram_alpha_buffer (unsigned *pOut, const fg_histogram pHistogram)
| Get the resource identifier for alpha values buffer.
FGAPI fg_err | fg_get_histogram_vertex_buffer_size (unsigned *pOut, const fg_histogram pHistogram)
| Get the vertices buffer size in bytes.
FGAPI fg_err | fg_get_histogram_color_buffer_size (unsigned *pOut, const fg_histogram pHistogram)
| Get the colors buffer size in bytes.
FGAPI fg_err | fg_get_histogram_alpha_buffer_size (unsigned *pOut, const fg_histogram pHistogram)
| Get the alpha values buffer size in bytes.